osl::eval::ml::King25EffectSupported Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 17 * 17 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (int black_attack_piece, int white_attack_piece, int black_attack_supported_piece, int white_attack_supported_piece)

## Static Private Member Functions

static int | index (int piece_count, int supported)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 373 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 376 of file kingTable.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::King25EffectSupported::eval | ( | int | black_attack_piece,
|  | int | white_attack_piece,
|  | int | black_attack_supported_piece,
|  | int | white_attack_supported_piece )

inline static

Definition at line 385 of file kingTable.h.

References index(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25EffectSupported::index | ( | int | piece_count,
|  | int | supported )

inline static private

Definition at line 378 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectSupported::setUp | ( | const Weights & | weights | ) |

static

Definition at line 476 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, osl::eval::ml::King25EffectSupported::ONE_DIM > osl::eval::ml::King25EffectSupported::table

static private

Definition at line 382 of file kingTable.h.

Referenced by eval(), osl::eval::ml::King25EmptyAbs< false >::index(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc